vn.py官网
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 16
声望: 0

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\peewee.py", line 3005, in execute_sql
cursor.execute(sql, params or ())
sqlite3.OperationalError: no such column: t1.turnover

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\vnpy_datamanager\ui\widget.py", line 136, in refresh_tree
overviews = self.engine.get_bar_overview()
File "C:\vnstudio\lib\site-packages\vnpy_datamanager\engine.py", line 141, in get_bar_overview
return database_manager.get_bar_overview()
File "C:\vnstudio\lib\site-packages\vnpy\database\sqlite\sqlite_database.py", line 355, in get_bar_overview
self.init_bar_overview()
File "C:\vnstudio\lib\site-packages\vnpy\database\sqlite\sqlite_database.py", line 396, in init_bar_overview
.order_by(DbBarData.datetime.asc())
File "C:\vnstudio\lib\site-packages\peewee.py", line 1812, in inner
return method(self, database, args, **kwargs)
File "C:\vnstudio\lib\site-packages\peewee.py", line 2069, in first
return self.peek(database, n=n)
File "C:\vnstudio\lib\site-packages\peewee.py", line 1812, in inner
return method(self, database,
args, kwargs)
File "C:\vnstudio\lib\site-packages\peewee.py", line 2060, in peek
rows = self.execute(database)[:n]
File "C:\vnstudio\lib\site-packages\peewee.py", line 1812, in inner
return method(self, database, *args,
kwargs)
File "C:\vnstudio\lib\site-packages\peewee.py", line 1883, in execute
return self._execute(database)
File "C:\vnstudio\lib\site-packages\peewee.py", line 2054, in _execute
cursor = database.execute(self)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3018, in execute
return self.execute_sql(sql, params, commit=commit)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3012, in execute_sql
self.commit()
File "C:\vnstudio\lib\site-packages\peewee.py", line 2783, in exit
reraise(new_type, new_type(*exc_args), traceback)
File "C:\vnstudio\lib\site-packages\peewee.py", line 183, in reraise
raise value.with_traceback(tb)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3005, in execute_sql
cursor.execute(sql, params or ())
peewee.OperationalError: no such column: t1.turnover

Member
avatar
加入于:
帖子: 16
声望: 0

陈宇 wrote:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\peewee.py", line 3005, in execute_sql
cursor.execute(sql, params or ())
sqlite3.OperationalError: no such column: t1.turnover

During handling of the above exception, another exception occurred:

现在用的的VNPY_DATAMANAGER 有没有教程,怎么使用在哪里?

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\vnpy_datamanager\ui\widget.py", line 136, in refresh_tree
overviews = self.engine.get_bar_overview()
File "C:\vnstudio\lib\site-packages\vnpy_datamanager\engine.py", line 141, in get_bar_overview
return database_manager.get_bar_overview()
File "C:\vnstudio\lib\site-packages\vnpy\database\sqlite\sqlite_database.py", line 355, in get_bar_overview
self.init_bar_overview()
File "C:\vnstudio\lib\site-packages\vnpy\database\sqlite\sqlite_database.py", line 396, in init_bar_overview
.order_by(DbBarData.datetime.asc())
File "C:\vnstudio\lib\site-packages\peewee.py", line 1812, in inner
return method(self, database, args, **kwargs)
File "C:\vnstudio\lib\site-packages\peewee.py", line 2069, in first
return self.peek(database, n=n)
File "C:\vnstudio\lib\site-packages\peewee.py", line 1812, in inner
return method(self, database,
args, kwargs)
File "C:\vnstudio\lib\site-packages\peewee.py", line 2060, in peek
rows = self.execute(database)[:n]
File "C:\vnstudio\lib\site-packages\peewee.py", line 1812, in inner
return method(self, database, *args,
kwargs)
File "C:\vnstudio\lib\site-packages\peewee.py", line 1883, in execute
return self._execute(database)
File "C:\vnstudio\lib\site-packages\peewee.py", line 2054, in _execute
cursor = database.execute(self)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3018, in execute
return self.execute_sql(sql, params, commit=commit)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3012, in execute_sql
self.commit()
File "C:\vnstudio\lib\site-packages\peewee.py", line 2783, in exit
reraise(new_type, new_type(*exc_args), traceback)
File "C:\vnstudio\lib\site-packages\peewee.py", line 183, in reraise
raise value.with_traceback(tb)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3005, in execute_sql
cursor.execute(sql, params or ())
peewee.OperationalError: no such column: t1.turnover

Administrator
avatar
加入于:
帖子: 142
声望: 17

2.5版本对数据库字段进行了更新,删除用户名下.vntrader下的database.db就可以了,如果有需要可以把数据库数据先导出来

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号

【用户协议】
【隐私政策】